//sln_piping.dcl revision multi-Dialog-01
//
//revision 1.0.1 - revised dimension format, allowing changes for each selection.
//originally only one format. ALL label replaced by 'keys'//
//revision 2.0.4 imperial/metric scale added
//revision 2.0.3 pipe added
//revision 2.0.4 imperial/metric scale added
//
//revision 2.0.6 Con Reducers added
//revision 2.0.8 End Caps added
//Revision 2.1.3 Ball Valves FB added
//Revision 2.1.4 Ball Valves RB added
//Revision 2.2.0 Child dialog for bend radii added
//Revision 2.2.2B Revision aligned with LSP file
//Revision 2.3.0 Revision Field added (labelv1)
//
//
//dcl_settings : default_dcl_settings { audit_level = 3; }	
//French release by Patrick Depoix - 08 fev. 2023												 

sln_piping : dialog {							//dialog name
//
	  : row   {
	  : column {
			height= 1;
		        fixed_height = true;
		        fixed_width = true;
            :row {
			:text {	label = "SLN_Piping ";alignment=centered;width = 15;}
			:text {	label = "Piping Flanges and Fitting, based on Trouvay & Cauvin Piping Handbook";alignment=centered;width = 75;}
			:text {	key = "labelv1";alignment=centered;width = 15;}
			}
			}
		    spacer;
			}
//---------------------------
	  : row   {
	  : boxed_column {
			label="PREVIEW";
			:image {
			alignment = centered;
			height= 18;
		        fixed_height = true;
			width = 50;
		        fixed_width = true;
			color=1;
			key="imagekey";
			}
			}
		    spacer;
	 : boxed_column {
			label = "Dimensions";
			width = 28;
//			height = 20;
            :row {
			:text {	key = "labeln1";alignment=left;}
			:text { key = "n1";alignment=right;}			
			}
			:row {
			:text {	key = "labeln6";alignment=left;}
			:text { key = "n6";alignment=right;}
			}
			:row {
			:text {	key = "labeln9";alignment=left;}
			:text { key = "n9";alignment=right;}
			}
			:row {
			:text {	key = "labeln7";alignment=left;}
			:text { key = "n7";alignment=right;}
			}
			:row {
			:text {	key = "labeln2";alignment=left;}
			:text { key = "n2";alignment=right;}
			}			
			:row {
			:text {	key = "labeln3";alignment=left;}
			:text { key = "n3";alignment=right;}
			}			
			:row {
			:text {	key = "labeln10";alignment=left;}
			:text { key = "n10";alignment=right;}
			}
			:row {
			:text {	key = "labeln5";alignment=left;}
			:text { key = "n5";alignment=right;}
			}
			:row {
			:text {	key = "labeln4";alignment=left;}
			:text { key = "n4";alignment=right;}
			}
			:row {
			:text {	key = "labeln8";alignment=left;}
			:text { key = "n8";alignment=right;}
			}
			}
			spacer;
	  :boxed_column {
			label = "Sizes";
			: list_box { 
			width = 13.5;
//			height = 20;
			key = "get_size";
			}
			}
			}
			spacer;
//-----------------------END OF BOX-------------------------------------------//	
	:row {
		: boxed_radio_column {
		label = "Select S1";
		
		: radio_button {
		key = "s1";
		label = "Fittings";
//		is_enabled = false;		
		}									//end definition
		: radio_button {
		key = "s2";
		label = "Flanges";
		}
		: radio_button {
		key = "s3";
		label = "Ball Valves FB";
//		is_enabled = false;
		}
		: radio_button {
		key = "s4";
		label = "Ball Valves RB";
//		is_enabled = false;							//switch off
		}
		: radio_button {
		key = "s5";
		label = "Wafer Check Valves";
		is_enabled = false;							//switch off		
		}
		: radio_button {
		key = "s6";
		label = "Gate Valves";
		is_enabled = false;							//switch off	
		}
		: radio_button {
		key = "s7";
		label = "Globe Valves";
		is_enabled = false;							//switch off	
		}
		: radio_button {
		key = "s8";
		label = "Pipe";
//		is_enabled = false;	
		}
		}
//-----------------------END OF BOX-------------------------------------------//
		: boxed_radio_column {
		label = "Imperial Pipe Fittings L1";
		:text {	label = "  ASME B16.9";}

		: radio_button {
		key = "rb1";
		label = "90Deg Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb2";
		label = "45Deg Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb3";
		label = "Equal Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb4";
		label = "Reducing Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb5";
		label = "Concentric Reducers";
		is_enabled = false;
		}
		: radio_button {
		key = "rb6";
		label = "Eccentric Reducer";
		is_enabled = false;
		}
		: radio_button {
		key = "rb7";
		label = "End Caps";
		is_enabled = false;
		}
		}
//-----------------------END OF BOX-------------------------------------------//
		:boxed_radio_column {
		label = "Flanges L2";
		:text {	label = "  ASME B16.5";}

		: radio_button {							//define button
		key = "rb11";								//give it a name
		label = "Welding Neck";							//give it a label
		is_enabled = false;							//switch off
		}									//end definition
		: radio_button {		
		key = "rb12";
		label = "Socket Weld";
		is_enabled = false;
		}
		: radio_button {
		key = "rb13";
		label = "Slip-on";
		is_enabled = false;
		}
		: radio_button {
		key = "rb14";
		label = "Screwed";
		is_enabled = false;
		}
		: radio_button {
		key = "rb15";
		label = "Blind";
		is_enabled = false;
		}
        spacer; 
        spacer; 
        spacer; 
		}
//-----------------------END OF BOX-------------------------------------------//

		: boxed_radio_column {
		label = "Face L3" ;
 
		: radio_button {					//define radion button
		key = "rb21" ;						//give it a name
		label = "RTJ" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
        spacer; 		
		: radio_button {
		key = "rb22" ;
		label = "RF" ;
		is_enabled = false;
		}
        spacer;
		: radio_button {
		key = "rb23" ;
		label = "Flat Face" ;
		is_enabled = false;
		}
        spacer;
        spacer;
//-----------------------//
		: boxed_column {
		label = "Metric/Imperial" ;
		:text {	label = "Scaling" ;}
		spacer;
		:text {	label = "FINAL SELECTION" ;}
		: toggle {				// was radio_button
		key = "tb24" ;
		label = "mm to inches";
		}
		}
		}
//-----------------------------------------------------------------------------------//
		:boxed_radio_column {					//define radio column L4
		label = "Class/PN L4" ;					//give it a label
 
		: radio_button {					//define radion button
		key = "rb31" ;						//give it a name
		label = "150/20" ;					//give it a label
		is_enabled = false;					//switch off
		}							//end definition
 		: radio_button {
		key = "rb32" ;
		label = "300/50" ;
		is_enabled = false;
		}
     		: radio_button {
     		key = "rb33" ;
		label = "400/68" ;
        	is_enabled = false;
	 	}
     		: radio_button {
     		key = "rb34" ;
     		label = "600/100" ;
       		is_enabled = false;
     		}
     		: radio_button {
     		key = "rb35" ;
     		label = "900/150" ;
        	is_enabled = false;
     		}
		: radio_button {
     		key = "rb36" ;
     		label = "1500/250" ;
        	is_enabled = false;
     		}
		: radio_button {
     		key = "rb37" ;
     		label = "2500/420" ;
        	is_enabled = false;
     		}
       		}
//-----------------------------------------------------------------------------------//

		:boxed_radio_column {				//define radio column L5
		label = "Schedule L5" ;				//give it a label
 
		: radio_button {					//define radion button
		key = "rb41" ;						//give it a name
		label = "5" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
		: radio_button {
		key = "rb42" ;
		label = "10" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb43" ;
		label = "20" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb44" ;
		label = "30" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb45" ;
		label = "40" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb46" ;
		label = "60" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb47" ;
		label = "80" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb48" ;
		label = "100" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb49" ;
		label = "120" ;
		is_enabled = false;
		}
		}
	        }
 //-----------------------------------------------------------------------------------//
	:row {
		fixed_width = true;
		alignment = centered;
		ok_cancel;
        spacer;
        spacer;
			: button {
  			label = "About";
  			fixed_width =  true;
  			key = "ABOT";
  			}
        spacer;
        spacer;
         	: button {
			label = "&Credits";
			key = "CRED";
			width = 10;
			fixed_width = true;
			alignment = centered;
			is_CRED = true;
			}
	}
	}

////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
//dcl_settings : default_dcl_settings { audit_level = 3; }
	
nest_fittings : dialog {							//dialog name
//
	  : row   {
	  : column {
			height= 1;
		        fixed_height = true;
		        fixed_width = true;
            :row {
			:text {	label = "SLN_Piping ";alignment=centered;width = 15;}
			:text {	label = "Piping Flanges and Fitting, based on Trouvay & Cauvin Piping Handbook";alignment=centered;width = 75;}
			:text {	key = "labelv1";alignment=centered;width = 15;}
			}
			}
		    spacer;
			}
//---------------------------
	  : row   {
	  : boxed_column {
			label="PREVIEW";
			:image {
			alignment = centered;
			height= 18;
		        fixed_height = true;
			width = 50;
		        fixed_width = true;
			color=1;
			key="imagekey";
			}
			}
		    spacer;
	 : boxed_column {
			label = "Dimensions";
			width = 28;
//			height = 20;
            :row {
			:text {	key = "labeln1";alignment=left;}
			:text { key = "n1";alignment=right;}			
			}
			:row {
			:text {	key = "labeln6";alignment=left;}
			:text { key = "n6";alignment=right;}
			}
			:row {
			:text {	key = "labeln9";alignment=left;}
			:text { key = "n9";alignment=right;}
			}
			:row {
			:text {	key = "labeln7";alignment=left;}
			:text { key = "n7";alignment=right;}
			}
			:row {
			:text {	key = "labeln2";alignment=left;}
			:text { key = "n2";alignment=right;}
			}			
			:row {
			:text {	key = "labeln3";alignment=left;}
			:text { key = "n3";alignment=right;}
			}			
			:row {
			:text {	key = "labeln10";alignment=left;}
			:text { key = "n10";alignment=right;}
			}
			:row {
			:text {	key = "labeln5";alignment=left;}
			:text { key = "n5";alignment=right;}
			}
			:row {
			:text {	key = "labeln4";alignment=left;}
			:text { key = "n4";alignment=right;}
			}
			:row {
			:text {	key = "labeln8";alignment=left;}
			:text { key = "n8";alignment=right;}
			}
			}
			spacer;
	  :boxed_column {
			label = "Sizes";
			: list_box { 
			width = 13.5;
//			height = 20;
			key = "get_size";
			}
			}
			}
			spacer;
//-----------------------END OF BOX-------------------------------------------//	
	:row {
		: boxed_radio_column {
		label = "Select S1";
//		height= 14;
//		fixed_height = true;
		
		: radio_button {
		key = "s1";
		label = "Fittings";
		is_enabled = true;		
		}									//end definition
		}
//-----------------------END OF BOX-------------------------------------------//
		: boxed_radio_column {
		label = "Imperial Pipe Fittings L1";
		:text {	label = "  ASME B16.9";}
		height= 14;
		fixed_height = true;	
		
		: radio_button {
		key = "rb1";
		label = "90Deg Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb2";
		label = "45Deg Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb3";
		label = "Equal Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb4";
		label = "Reducing Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb5";
		label = "Concentric Reducers";
		is_enabled = false;
		}
		: radio_button {
		key = "rb6";
		label = "Eccentric Reducer";
		is_enabled = false;
		}
		: radio_button {
		key = "rb7";
		label = "End Caps";
		is_enabled = false;
		}
		}
//-----------------------END OF BOX-------------------------------------------//
		:boxed_radio_column {				//define radio column L5
		label = "Schedule L5" ;				//give it a label
		height= 14;
		fixed_height = true;	
		
		: radio_button {					//define radion button
		key = "rb41" ;						//give it a name
		label = "5" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
		: radio_button {
		key = "rb42" ;
		label = "10" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb43" ;
		label = "20" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb44" ;
		label = "30" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb45" ;
		label = "40" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb46" ;
		label = "60" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb47" ;
		label = "80" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb48" ;
		label = "100" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb49" ;
		label = "120" ;
		is_enabled = false;
		}
		}
//-----------------------------------------------------------------------------------		
		: boxed_column {
		height= 5;
		fixed_height = true;
		label = "Metric/Imperial" ;
		:text {	label = "Scaling" ;}
//		
		spacer;
		spacer;		
		:text {	label = "FINAL SELECTION" ;}
		: toggle {				// was radio_button
		key = "tb24" ;
		label = "mm to inches";
		}
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;			
		}
        }	// END OF ROW
//-----------------------------------------------------------------------------------//
	:row {
		fixed_width = true;
		alignment = centered;
		ok_cancel;
        spacer;
        spacer;
//		
		}	//END OF ROW
		}	//END OF DIALOG

////////////////////////////////////////////////

nest1 : dialog {
        label = "90 Deg Bend Radii";

	 : boxed_column {
	label = "Select Fitting Radius";
//	       }

//		:boxed_radio_column {				//define radio column 
		: radio_button {
		key = "rb51" ;
		label = "Short Radus" ;
//		is_enabled = false;
		}
		: radio_button {
		key = "rb52" ;
		label = "Long Radius" ;
//    	value = "1" ;						//switch it on		DEFAULT VALUE		
//		is_enabled = false;
		}
		: radio_button {
		key = "rb53" ;
		label = "3D Radius" ;
//		is_enabled = false;
		}
		: radio_button {
		key = "rb54" ;
		label = "5D Radius" ;
//		is_enabled = false;
		}
		}									// END OF RADIO BOX COL
		: spacer { width = 1; }
		: row {
		: button {
		label = "OK";
		key = "accept";
		width = 12;
		fixed_width = true;
		mnemonic = "O";
		is_default = true;
		}
		: button {
		label = "Cancel";
		key = "cancel";
		width = 12;
		fixed_width = true;
		mnemonic = "C";
		is_cancel = true;
		}
		: spacer { width = 1;}
		}
	}	//END OF DIALOG

////////////////////////////////////////////////

nest2 : dialog {
        label = "45 Deg Bend Radii";

	 : boxed_column {
	label = "Select Fitting Radius";
//		}

//		:boxed_radio_column {				//define radio column 
		: radio_button {
		key = "rb61" ;
		label = "Short Radus" ;
//		is_enabled = false;
		}
		: radio_button {
		key = "rb62" ;
		label = "Long Radius" ;
//    	value = "1" ;						//switch it on		DEFAULT VALUE
//		is_enabled = false;
		}
		: radio_button {
		key = "rb63" ;
		label = "3D Radius" ;
//		is_enabled = false;
		}
		: radio_button {
		key = "rb64" ;
		label = "5D Radius" ;
//		is_enabled = false;
		}
		}										// END OF RADIO COLUMN
		: spacer { width = 1; }
		: row {
		: button {
		label = "OK";
		key = "accept";
		width = 12;
		fixed_width = true;
		mnemonic = "O";
		is_default = true;
		}
		: button {
		label = "Cancel";
		key = "cancel";
		width = 12;
		fixed_width = true;
		mnemonic = "C";
		is_cancel = true;
		}
		: spacer { width = 1;}
		}
	}	//END OF DIALOG
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
//dcl_settings : default_dcl_settings { audit_level = 3; }
	
nest_flanges : dialog {							//dialog name
//
	  : row   {
	  : column {
			height= 1;
		        fixed_height = true;
		        fixed_width = true;
            :row {
			:text {	label = "SLN_Piping ";alignment=centered;width = 15;}
			:text {	label = "Piping Flanges and Fitting, based on Trouvay & Cauvin Piping Handbook";alignment=centered;width = 75;}
			:text {	key = "labelv1";alignment=centered;width = 15;}
			}
			}
		    spacer;
			}
//---------------------------
	  : row   {
	  : boxed_column {
			label="PREVIEW";
			:image {
			alignment = centered;
			height= 18;
		        fixed_height = true;
			width = 50;
		        fixed_width = true;
			color=1;
			key="imagekey";
			}
			}
		    spacer;
	 : boxed_column {
			label = "Dimensions";
			width = 28;
//			height = 20;
            :row {
			:text {	key = "labeln1";alignment=left;}
			:text { key = "n1";alignment=right;}			
			}
			:row {
			:text {	key = "labeln6";alignment=left;}
			:text { key = "n6";alignment=right;}
			}
			:row {
			:text {	key = "labeln9";alignment=left;}
			:text { key = "n9";alignment=right;}
			}
			:row {
			:text {	key = "labeln7";alignment=left;}
			:text { key = "n7";alignment=right;}
			}
			:row {
			:text {	key = "labeln2";alignment=left;}
			:text { key = "n2";alignment=right;}
			}			
			:row {
			:text {	key = "labeln3";alignment=left;}
			:text { key = "n3";alignment=right;}
			}			
			:row {
			:text {	key = "labeln10";alignment=left;}
			:text { key = "n10";alignment=right;}
			}
			:row {
			:text {	key = "labeln5";alignment=left;}
			:text { key = "n5";alignment=right;}
			}
			:row {
			:text {	key = "labeln4";alignment=left;}
			:text { key = "n4";alignment=right;}
			}
			:row {
			:text {	key = "labeln8";alignment=left;}
			:text { key = "n8";alignment=right;}
			}
			}
			spacer;
	  :boxed_column {
			label = "Sizes";
			: list_box { 
			width = 13.5;
//			height = 20;
			key = "get_size";
			}
			}
			}
			spacer;
//-----------------------END OF BOX-------------------------------------------//	
	:row {
		: boxed_radio_column {
		label = "Select S2";
//		height= 14;
//		fixed_height = true;
		
		spacer;
		: radio_button {
		key = "s2";
		label = "Flanges";
		is_enabled = true;
		}									//end definition
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		}	// end of column
//-----------------------END OF BOX-------------------------------------------//
		:boxed_radio_column {
		label = "Flanges L2";
		:text {	label = "  ASME B16.5";}

		: radio_button {							//define button
		key = "rb11";								//give it a name
		label = "Welding Neck";							//give it a label
		is_enabled = false;							//switch off
		}									//end definition
		: radio_button {		
		key = "rb12";
		label = "Socket Weld";
		is_enabled = false;
		}
		: radio_button {
		key = "rb13";
		label = "Slip-on";
		is_enabled = false;
		}
		: radio_button {
		key = "rb14";
		label = "Screwed";
		is_enabled = false;
		}
		: radio_button {
		key = "rb15";
		label = "Blind";
		is_enabled = false;
		}
        spacer; 
        spacer; 
        spacer; 
		}	// end of column
//-----------------------END OF BOX-------------------------------------------//

		: boxed_radio_column {
		label = "Face L3" ;
 
		: radio_button {					//define radion button
		key = "rb21" ;						//give it a name
		label = "RTJ" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
        spacer; 		
		: radio_button {
		key = "rb22" ;
		label = "RF" ;
		is_enabled = false;
		}
        spacer;
		: radio_button {
		key = "rb23" ;
		label = "Flat Face" ;
		is_enabled = false;
		}
        spacer;
        spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		}	// end of column
//-----------------------------------------------------------------------------------//
		:boxed_radio_column {					//define radio column L4
		label = "Class/PN L4" ;					//give it a label
 
		: radio_button {					//define radion button
		key = "rb31" ;						//give it a name
		label = "150/20" ;					//give it a label
		is_enabled = false;					//switch off
		}							//end definition
 		: radio_button {
		key = "rb32" ;
		label = "300/50" ;
		is_enabled = false;
		}
     	: radio_button {
     	key = "rb33" ;
		label = "400/68" ;
        is_enabled = false;
	 	}
     	: radio_button {
     	key = "rb34" ;
     	label = "600/100" ;
       	is_enabled = false;
     	}
     	: radio_button {
     	key = "rb35" ;
     	label = "900/150" ;
        is_enabled = false;
     	}
		: radio_button {
     	key = "rb36" ;
     	label = "1500/250" ;
        is_enabled = false;
     	}
		: radio_button {
     	key = "rb37" ;
     	label = "2500/420" ;
        is_enabled = false;
     	}
		}	// end of column
//-----------------------------------------------------------------------------------//

		:boxed_radio_column {				//define radio column L5
		label = "Schedule L5" ;				//give it a label
 
		: radio_button {					//define radion button
		key = "rb41" ;						//give it a name
		label = "5" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
		: radio_button {
		key = "rb42" ;
		label = "10" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb43" ;
		label = "20" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb44" ;
		label = "30" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb45" ;
		label = "40" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb46" ;
		label = "60" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb47" ;
		label = "80" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb48" ;
		label = "100" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb49" ;
		label = "120" ;
		is_enabled = false;
		}
		}	// end of column
//-----------------------------------------------------------------------------------		
		: boxed_column {
		height= 5;
		fixed_height = true;
		label = "Metric/Imperial" ;
		:text {	label = "Scaling" ;}
//		
		spacer;
		spacer;		
		:text {	label = "FINAL SELECTION" ;}
		: toggle {				// was radio_button
		key = "tb24" ;
		label = "mm to inches";
		}
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;			
		}	// end of column
        }	// END OF ROW
//-----------------------------------------------------------------------------------//
	:row {
		fixed_width = true;
		alignment = centered;
		ok_cancel;
        spacer;
        spacer;
//		
		}	//END OF ROW
		}	//END OF DIALOG
////////////////////////////////////////////////
////////////////////////////////////////////////
////////////////////////////////////////////////
//dcl_settings : default_dcl_settings { audit_level = 3; }
	
nest_fbv : dialog {							//dialog name
//
	  : row   {
	  : column {
			height= 1;
		        fixed_height = true;
		        fixed_width = true;
            :row {
			:text {	label = "SLN_Piping ";alignment=centered;width = 15;}
			:text {	label = "Piping Flanges and Fitting, based on Trouvay & Cauvin Piping Handbook";alignment=centered;width = 75;}
			:text {	key = "labelv1";alignment=centered;width = 15;}
			}
			} // end of column
		    spacer;
			}  // end of row
//---------------------------
	  : row   {
	  : boxed_column {
			label="PREVIEW";
			:image {
			alignment = centered;
			height= 18;
		        fixed_height = true;
			width = 50;
		        fixed_width = true;
			color=1;
			key="imagekey";
			}
			} // end of column
//--------------------------------			
		    spacer;
	 : boxed_column {
			label = "Dimensions";
			width = 28;
//			height = 20;
            :row {
			:text {	key = "labeln1";alignment=left;}
			:text { key = "n1";alignment=right;}			
			}
			:row {
			:text {	key = "labeln6";alignment=left;}
			:text { key = "n6";alignment=right;}
			}
			:row {
			:text {	key = "labeln9";alignment=left;}
			:text { key = "n9";alignment=right;}
			}
			:row {
			:text {	key = "labeln7";alignment=left;}
			:text { key = "n7";alignment=right;}
			}
			:row {
			:text {	key = "labeln2";alignment=left;}
			:text { key = "n2";alignment=right;}
			}			
			:row {
			:text {	key = "labeln3";alignment=left;}
			:text { key = "n3";alignment=right;}
			}			
			:row {
			:text {	key = "labeln10";alignment=left;}
			:text { key = "n10";alignment=right;}
			}
			:row {
			:text {	key = "labeln5";alignment=left;}
			:text { key = "n5";alignment=right;}
			}
			:row {
			:text {	key = "labeln4";alignment=left;}
			:text { key = "n4";alignment=right;}
			}
			:row {
			:text {	key = "labeln8";alignment=left;}
			:text { key = "n8";alignment=right;}
			}
			} // end of column
			spacer;
	  :boxed_column {
			label = "Sizes";
			: list_box { 
			width = 13.5;
//			height = 20;
			key = "get_size";
			}
			} // end of column
			}  // end of row
			spacer;
//-----------------------END OF BOX-------------------------------------------//	
	:row {
		: boxed_radio_column {
		label = "Select S3";
//		height= 14;
//		fixed_height = true;

		spacer;		
		spacer;
		: radio_button {
		key = "s3";
		label = "Ball Valves FB";
		is_enabled = true;
		}									//end definition
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		}	// end of column
//-----------------------END OF BOX-------------------------------------------//
		: boxed_radio_column {
		label = "Face L3" ;
 
		: radio_button {					//define radion button
		key = "rb21" ;						//give it a name
		label = "RTJ" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
        spacer; 		
		: radio_button {
		key = "rb22" ;
		label = "RF" ;
		is_enabled = false;
		}
        spacer;
		: radio_button {
		key = "rb23" ;
		label = "Flat Face" ;
		is_enabled = false;
		}
        spacer;
        spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		}	// end of column
//-----------------------------------------------------------------------------------//
		:boxed_radio_column {					//define radio column L4
		label = "Class/PN L4" ;					//give it a label
 
		: radio_button {					//define radion button
		key = "rb31" ;						//give it a name
		label = "150/20" ;					//give it a label
		is_enabled = false;					//switch off
		}							//end definition
 		: radio_button {
		key = "rb32" ;
		label = "300/50" ;
		is_enabled = false;
		}
     	: radio_button {
     	key = "rb33" ;
		label = "400/68" ;
        is_enabled = false;
	 	}
     	: radio_button {
     	key = "rb34" ;
     	label = "600/100" ;
       	is_enabled = false;
     	}
     	: radio_button {
     	key = "rb35" ;
     	label = "900/150" ;
        is_enabled = false;
     	}
		: radio_button {
     	key = "rb36" ;
     	label = "1500/250" ;
        is_enabled = false;
     	}
		: radio_button {
     	key = "rb37" ;
     	label = "2500/420" ;
        is_enabled = false;
     	}
		}	// end of column
//--------------------------------------Metric/Imperial---------------------------------------------//
		: boxed_column {
		height= 5;
		fixed_height = true;
		label = "Metric/Imperial" ;
		:text {	label = "Scaling" ;}
//		
		spacer;
		spacer;		
		:text {	label = "FINAL SELECTION" ;}
		: toggle {				// was radio_button
		key = "tb24" ;
		label = "mm to inches";
		}
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;
		spacer;			
		}	// end of column
        }	// END OF ROW
//-----------------------------------------------------------------------------------//
	:row {
		fixed_width = true;
		alignment = centered;
		ok_cancel;
        spacer;
        spacer;
//		
		}	//END OF ROW
		}	//END OF DIALOG